<?php

/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */

namespace FiloBlu\Storelocator\Controller\Google;

/**
 * Responsible for loading page content.
 *
 * This is a basic controller that only loads the corresponding layout file. It may duplicate other such
 * controllers, and thus it is considered tech debt. This code duplication will be resolved in future releases.
 */
class Index extends \Magento\Framework\App\Action\Action {

    //protected $resultRedirect;

    public function __construct(
      // \Magento\Framework\Controller\ResultFactory $result,
      \Magento\Framework\App\Action\Context $context
    ) {
        //$this->resultRedirect = $result;
        parent::__construct($context);
    }

    /**
     * Load the page defined in view/frontend/layout/storelocator_index_index.xml
     *
     * @return \Magento\Framework\View\Result\Page
     */
    public function execute() {
       
        $redirectUrl = $this->getRequest()->getParam("state") . "?code=" . $this->getRequest()->getParam("code");
        $resultRedirect = \Magento\Framework\App\ObjectManager::getInstance()->create(\Magento\Framework\Controller\ResultFactory::TYPE_REDIRECT);
        $resultRedirect->setUrl($redirectUrl);


        return $resultRedirect;
    }

}
